package com.fjs.scenic.service.ord.impl;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.fjs.scenic.entity.order.PlayMan;
import com.fjs.scenic.mapper.order.PlayManMapper;
import com.fjs.scenic.service.ord.PlayManService;

@Service
public class PlayManServiceImpl implements PlayManService {

	@Autowired
	private PlayManMapper playManMapper;

	@Override
	public int deleteByPrimaryKey(Integer id) {
		return playManMapper.deleteByPrimaryKey(id);
	}

	@Override
	public int insert(PlayMan record) {
		return playManMapper.insert(record);
	}

	@Override
	public int insertSelective(PlayMan record) {
		return playManMapper.insertSelective(record);
	}

	@Override
	public PlayMan selectByPrimaryKey(Integer id) {
		return playManMapper.selectByPrimaryKey(id);
	}

	@Override
	public int updateByPrimaryKeySelective(PlayMan record) {
		return playManMapper.updateByPrimaryKeySelective(record);
	}

	@Override
	public int updateByPrimaryKey(PlayMan record) {
		return playManMapper.updateByPrimaryKey(record);
	}

	@Override
	public void deleteByParam(String param) {
		Map<String, String> map = new HashMap<String, String>();
		map.put("param", param);
		playManMapper.deleteByParam(map);
	}
	
	

}
